﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Praktika5
{
    public partial class Form2 : Form
    {
        public Form2()
        {
            InitializeComponent();

            ToolStripMenuItem fileItem = new ToolStripMenuItem("Файл");

            fileItem.DropDownItems.Add("Создать");
            fileItem.DropDownItems.Add(new ToolStripMenuItem("Сохранить"));

            menuStrip1.Items.Add(fileItem);

            ToolStripMenuItem aboutItem = new ToolStripMenuItem("О программе");
            aboutItem.Click += aboutItem_Click;
            menuStrip1.Items.Add(aboutItem);

            ToolStripMenuItem newItem = new ToolStripMenuItem("Создать") { Checked = true, CheckOnClick = true };
            fileItem.DropDownItems.Add(newItem);


            ToolStripMenuItem saveItem = new ToolStripMenuItem("Сохранить") { Checked = true, CheckOnClick = true };
            saveItem.CheckedChanged += menuItem_CheckedChanged;

            fileItem.DropDownItems.Add(saveItem);

            menuStrip1.Items.Add(fileItem);



            saveItem.Click += saveItem_Click;
            saveItem.ShortcutKeys = Keys.Control | Keys.P;

            fileItem.DropDownItems.Add(saveItem);
            menuStrip1.Items.Add(fileItem);
        }

        private void menuStrip1_ItemClicked(object sender, ToolStripItemClickedEventArgs e)
        {

        }
        void aboutItem_Click(object sender, EventArgs e)
        {
            MessageBox.Show("О программе");
        }
        void menuItem_CheckedChanged(object sender, EventArgs e)
        {
            ToolStripMenuItem menuItem = sender as ToolStripMenuItem;
            if (menuItem.CheckState == CheckState.Checked)
                MessageBox.Show("Отмечен");
            else if (menuItem.CheckState == CheckState.Unchecked)
                MessageBox.Show("Отметка снята");
        }
        void saveItem_Click(object sender, EventArgs e)
        {
            MessageBox.Show("Сохранение");
        }
    }
}
